[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cbi-dev] CBI Rebasing platform to M7


After fixing a few more issues I am now stuck with this new problem below. It seems that org.eclipse.core.resources cannot be resolved. Which is odd since I can see it successfully built earlier in the build.

[INFO] org.eclipse.core.resources ........................ SUCCESS [3.726s]

Any ideas on what might be causing this?


I managed to get around this issue by requiring the org.eclipse.core.resources bundle via the pom.xml file by adding the following:

          <dependency-resolution>
            <extraRequirements>
              <requirement>
                <type>eclipse-plugin</type>
                <id>org.eclipse.core.resources</id>
                <versionRange>0.0.0</versionRange>
              </requirement>
            </extraRequirements>
          </dependency-resolution>



I'm not entirely sure this was the right approach but it got me passed the issue.



I had another question though. There was some new bundles in M7 which I added and I noticed one of them in the manifest file was missing .qualifier which tycho complains about. For example:

  Bundle-Version: 3.1.100

While added the missing .qualifier to the MANIFEST.MF was easy enough to do. Is this the right thing to do? Or perhaps upstream did this on purpose?


Thanks,


Thanh